package com.yihu.jw.internet.entity;

import com.yihu.jw.entity.UuidIdentityEntityWithOperator;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;
import java.io.Serializable;

@Entity
@Table(name = "internet_up_error_log")
public class InternetUpErrorLogDO extends UuidIdentityEntityWithOperator implements Serializable {

    private String upId;        // 上传批次ID
    private String type;       // 上传数据类型, 5预约 7医生评估 8网络咨询10处方 11处方药品',
    private String keyId;      // 各类型关键字ID值用于补传，唯一定位要上传的数据行',
    private String errorInfo ;// 上传失败回参
    private Integer errorType;  //1.格式错误，脏数据 2.监管平台报错

    @Column(name = "up_id")
    public String getUpId() {
        return upId;
    }

    public void setUpId(String upId) {
        this.upId = upId;
    }

    @Column(name = "type")
    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type;
    }
    @Column(name = "key_id")
    public String getKeyId() {
        return keyId;
    }

    public void setKeyId(String keyId) {
        this.keyId = keyId;
    }

    @Column(name = "error_info")
    public String getErrorInfo() {
        return errorInfo;
    }

    public void setErrorInfo(String errorInfo) {
        this.errorInfo = errorInfo;
    }

    @Column(name = "error_type")
    public Integer getErrorType() {
        return errorType;
    }

    public void setErrorType(Integer errorType) {
        this.errorType = errorType;
    }
}
